## kde4libs 4.5.1

=== debian/changelog ===
kde4libs (4:4.5.1-0ubuntu7) maverick; urgency=low

  * Add kubuntu_77_no_kbookmark_write_error.diff, nasty workaround for
    random error message on first login LP: #627815

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 11:48:16 +0100

kde4libs (4:4.5.1-0ubuntu6) maverick; urgency=low

  * Add kubuntu_76_fix_install_plasmoid.diff to fix regression in
    KArchive::copyTo for ZIP files: use the uncompressed device, not the raw
    QFile.
    (https://bugs.kde.org/show_bug.cgi?id=251192)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 22 Sep 2010 19:03:33 +0200

kde4libs (4:4.5.1-0ubuntu5) maverick; urgency=low

  * Add kubuntu_75_fix_containment_configs.diff from
    http://websvn.kde.org/?view=revision&revision=1169026

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 15 Sep 2010 17:02:01 +0200

kde4libs (4:4.5.1-0ubuntu4) maverick; urgency=low

  * Add kubuntu_72_previewjob_skip_remote_directories.diff
    without this patch previewjob will try to copy remote folders,
    request by Bluedevil developers
  * Add kubuntu_73_fix_mem_leak_kmodelindexproxymapper.diff
  * Add kubuntu_74_fix_mem_leak_kwebpluginfactory.diff
  * Update libkutils4 symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 13 Sep 2010 18:23:49 +0200

kde4libs (4:4.5.1-0ubuntu3) maverick; urgency=low

  * In kubuntu_71_backport_plasma_webview_changes.diff backport some methods
    and signals introduced in newer revision.

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri, 10 Sep 2010 18:18:30 -0400

kde4libs (4:4.5.1-0ubuntu2) maverick; urgency=low

  * In kubuntu_06_user_disk_mounting.diff use Qt tr() to translate to
    match the rest of solid

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Sep 2010 13:07:58 +0100

kde4libs (4:4.5.1-0ubuntu1) maverick; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_70_optimize_kratingspainter.diff to optimize the painting
    routine of KRatingPainter to not create so many unnecessary KIconEffect
    objects by using the global KIconEffect to apply effects

  [ Felix Geyer ]
  * New upstream release.
  * Update install files and remove duplicate entries.
  * kdelibs5-dev: tighten dependency on libkdewebkit5 and libqtwebkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 28 Aug 2010 12:08:39 +0200

kde4libs (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * Add a build-depend on libutempter-dev for kpty functionality

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 14 Aug 2010 18:35:05 -0400

kde4libs (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:05 +0100

kde4libs (4:4.5.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_70_short_kfilemetainfo.diff from
    http://websvn.kde.org/?view=revision&revision=1158288
    advised by upstream to stop interface blocking
  * Add kubuntu_71_mutex_kfilemetainfo.diff from
    http://websvn.kde.org/?view=revision&revision=1157302
    advised by upstream to stop crashes due to threading

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 12:43:38 +0100

kde4libs (4:4.5.0-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
   * New upstream release
     - Update install files
     - Update symbols files
     - Drop kubuntu_70_qreal.diff

  [ Michał Zając]
   * Drop the aspell files

 -- Rohan Garg <rohangarg@ubuntu.com>  Fri, 30 Jul 2010 01:25:26 +0530

kde4libs (4:4.4.95-0ubuntu1) UNRELEASED; urgency=low

  * New upstream RC release

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 24 Jul 2010 13:05:52 +0200

kde4libs (4:4.4.92-0ubuntu4) maverick; urgency=low

  * Add kubuntu_70_qreal.diff to fix arm builds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 15:28:35 +0100

kde4libs (4:4.4.92-0ubuntu4) UNRELEASED; urgency=low

  * kubuntu_69_declare_debugger_pid.diff: add upstream bug notation.

 -- Kees Cook <kees@ubuntu.com>  Fri, 23 Jul 2010 02:54:59 -0700

kde4libs (4:4.4.92-0ubuntu3) maverick; urgency=low

  * Replace libqt4-webkit-dev build dep and depends with libqtwebkit-dev

 -- Rohan Garg <rohangarg@ubuntu.com>  Wed, 21 Jul 2010 13:03:05 +0530

kde4libs (4:4.4.92-0ubuntu2) maverick; urgency=low

  * Remove sameVersionDep for libqt4-webkit-dev and libkdewebkit5
    too strict

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 11 Jul 2010 18:03:07 +0200

kde4libs (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Refresh patches
    - Update install files
    - Update symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 07 Jul 2010 19:00:30 +0200

kde4libs (4:4.4.90-0ubuntu3) maverick; urgency=low

  * kubuntu_69_declare_debugger_pid.diff: delcare debugger PTRACE
    relationship (LP: #589841).

 -- Kees Cook <kees@ubuntu.com>  Thu, 01 Jul 2010 09:46:16 -0700

kde4libs (4:4.4.90-0ubuntu2) maverick; urgency=low

  * Remove kubuntu_56_langpacks_desktop_files.diff in favor of newly created
    kubuntu_05_langpack_desktop_files.diff which is heavily inspired by the
    openSUSE version of this patch. However. The new patch makes one very
    important assumption to decrease overhead compared to KDE. Iff the Ubuntu
    gettext domain is set, then translations will be drawn from there,
    regardless of whether there are translations available in the desktop file.
    This of course only has impact if there actually is an appropriate gettext
    translation file available. In either case the amount of pointless domain
    entries should be kept the an absolute minimum.

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 24 Jun 2010 11:49:01 +0200

kde4libs (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Remove usr/share/kde4/apps/nepomuk/pics/rating.png from
      libnepomuk4.install
    - Update kdelibs5-dev.install
    - Update kdelibs5-data.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 20:46:40 +0200

kde4libs (4:4.4.85-0ubuntu3) maverick; urgency=low


