## kde4libs 4.5.5

=== debian/changelog ===
kde4libs (4:4.5.5-0ubuntu2.1) maverick-security; urgency=low

  * SECURITY UPDATE: Fix vulnerabity with certificate boxes in KSSL,
    which let the opportunity to interpret html tags.
    - debian/patches/security_04_CVE-2011-3365.diff: Change the QLabel's text
      format from RichText to PlainText in important locations.
    - CVE-2011-3365
    - LP: #857437
  * SECURITY UPDATE: Fix vulnerability in kioslave which let the opportunity
    to interpret html tags
    - debian/patches/security_04_CVE-2011-3365-kioslave.patch: Use HTML
      escaping on texts that come from the website.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 14 Oct 2011 09:10:11 -0500

kde4libs (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5.x version per micro-release update exception
    (LP: #757065)
  * Additional post 4.5.5 fixes from kde git:
    - debian/patches/kubuntu_79_html_escaping.diff
    - debian/patches/security_03_CVE-2011-1094.diff

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 00:16:10 -0400

kde4libs (4:4.5.5-0ubuntu1.1ppa1) maverick; urgency=low

  * Bump version so it can be uploaded to kubuntu-ppa/ppa 

 -- Philip Muskovac <yofel@gmx.net>  Sat, 08 Jan 2011 00:26:54 +0100

kde4libs (4:4.5.5-0ubuntu1.1) maverick; urgency=low

  * New upstream release
  * Removed patch #69 as fixd upstream

 -- Stephen Stalcup <vorian@ubuntu.com>  Wed, 05 Jan 2011 22:06:44 -0700

kde4libs (4:4.5.4-0ubuntu1~maverick1~ppa2) maverick; urgency=low

  * Correct kdelibs5-dev breaks version for libkwebkit-dev (<< 0.9~svn1123738)

 -- Philip Muskovac <yofel@gmx.net>  Fri, 03 Dec 2010 20:28:02 +0100

kde4libs (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 00:36:09 +0000

kde4libs (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:30:34 +0000

kde4libs (4:4.5.2a-0ubuntu1~ppa2) maverick; urgency=low

  [ Rohan Garg ]
  * Add kubuntu_78_krun_http.diff to fix https handling

  [ Ubuntu ]
  * 0--help

 -- Ubuntu <ubuntu@ip-10-112-191-200.ec2.internal>  Wed, 03 Nov 2010 17:30:23 +0000

kde4libs (4:4.5.2a-0ubuntu1~ppa1) maverick; urgency=low

  * New tarball

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Oct 2010 23:36:12 +0530

kde4libs (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
  * Now included in upstream
   - kubuntu_72_previewjob_skip_remote_directories.diff
   - kubuntu_75__fix_containment_configs.diff
   - kubuntu_73_fix_mem_leak_kmodelindexproxymapper.diff
   - kubuntu_74_fix_mem_leak_kwebpluginfactory.diff
   - kubuntu_76_fix_install_plasmoid.diff

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 01 Oct 2010 19:49:44 +0200

kde4libs (4:4.4.1-0ubuntu2) lucid; urgency=low

  * Update kubuntu_70_dbusmenu.diff with kde4libs-4.4.1-20100309.diff
    from http://people.canonical.com/~agateau/dbusmenu/ and update
    build-dep to libdbusmenu-qt 0.3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 12:49:06 +0000
